package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo struct {
	/*
	   真实手机号     */
	RealPhone *string `json:"real_phone,omitempty" `

	/*
	   生日     */
	Birthday *util.LocalTime `json:"birthday,omitempty" `

	/*
	   地址     */
	Address *string `json:"address,omitempty" `

	/*
	   性别     */
	Gender *string `json:"gender,omitempty" `

	/*
	   注册时间     */
	RegisterTime *util.LocalTime `json:"register_time,omitempty" `

	/*
	   等级     */
	MemberLevel *string `json:"member_level,omitempty" `

	/*
	   入会来源     */
	Source *string `json:"source,omitempty" `

	/*
	   用户名     */
	UserName *string `json:"user_name,omitempty" `

	/*
	   卡号     */
	CardNo *string `json:"card_no,omitempty" `

	/*
	   积分余额，可以为小数     */
	ScoreBalance *string `json:"score_balance,omitempty" `

	/*
	   自定义渠道类型     */
	CustomizeChannel *string `json:"customize_channel,omitempty" `

	/*
	   商家侧统一用户标识ID,如统一会员id     */
	UnionUid *string `json:"union_uid,omitempty" `

	/*
	   渠道用户ID，如erp会员id，淘宝openid、饿了么uid、微信openId     */
	ChannelUserId *string `json:"channel_user_id,omitempty" `

	/*
	   储值卡余额，需要统一单位为”分“，然后取整上传     */
	CardBalance *int64 `json:"card_balance,omitempty" `

	/*
	   扩项属性     */
	ExtendProperty *string `json:"extend_property,omitempty" `

	/*
	   会员开始时间     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   会员结束时间     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `

	/*
	   是否续费 defalutValue:false    */
	Renew *bool `json:"renew,omitempty" `

	/*
	   引导来源标识，填写引导来源标识备注，如门店编码     */
	SourceTag *string `json:"source_tag,omitempty" `

	/*
	   是否付费 defalutValue:false    */
	PayMember *bool `json:"pay_member,omitempty" `

	/*
	   storeMember：门店会员，txd：淘鲜达，eleme：饿了么，weixin：微信小程序     */
	ChannelCode *string `json:"channel_code,omitempty" `

	/*
	   isv系统中的完整的用户信息     */
	OriginWholeData *string `json:"origin_whole_data,omitempty" `

	/*
	   微信名     */
	WxUserName *string `json:"wx_user_name,omitempty" `

	/*
	   微信unionId     */
	WxUnionId *string `json:"wx_union_id,omitempty" `
}

func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetRealPhone(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.RealPhone = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetBirthday(v util.LocalTime) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.Birthday = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetAddress(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.Address = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetGender(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.Gender = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetRegisterTime(v util.LocalTime) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.RegisterTime = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetMemberLevel(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.MemberLevel = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetSource(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.Source = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetUserName(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.UserName = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetCardNo(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.CardNo = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetScoreBalance(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.ScoreBalance = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetCustomizeChannel(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.CustomizeChannel = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetUnionUid(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.UnionUid = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetChannelUserId(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.ChannelUserId = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetCardBalance(v int64) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.CardBalance = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetExtendProperty(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.ExtendProperty = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetStartTime(v util.LocalTime) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.StartTime = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetEndTime(v util.LocalTime) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.EndTime = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetRenew(v bool) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.Renew = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetSourceTag(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.SourceTag = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetPayMember(v bool) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.PayMember = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetChannelCode(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.ChannelCode = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetOriginWholeData(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.OriginWholeData = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetWxUserName(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.WxUserName = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) SetWxUnionId(v string) *AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo {
	s.WxUnionId = &v
	return s
}
